:root {
    --transition: 0.25s ease;
    --ff-oswald: 'Oswald', sans-serif;
    --ff-rubik: 'Rubik', sans-serif;--fs-1: 6rem;
    --fs-2: 5rem;
    --fs-3: 4rem;
    --fs-4: 3rem;
    --fs-6: 2rem;
}
li {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

a,
img,
time,
span,
input,
button,
ion-icon {
    display: block;
}
ol, ul {
 padding-left: 0rem; 
}
img {
    height: auto;
}

button {
    cursor: pointer;
}

html {
    font-family: var(--ff-rubik);
    font-size: 10px;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    line-height: 1.7;
    font-weight: 600;
}

::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background-color: black;
}

::-webkit-scrollbar-thumb {
    background-color: hsl(0, 0%, 80%);
    border: 2px solid var(--cultured-2);
}

::-webkit-scrollbar-thumb:hover {
    background-color: hsl(0, 0%, 70%);
}

.container {
    padding-inline: 15px;
}

section {
    padding-block: 50px;
}
.h1,
.h2,
.h3 {
    font-family: var(--ff-oswald);
    line-height: 1.2;
    font-weight: 600;
}
.h1 {
    font-size: var(--fs-3);
    text-transform: uppercase;
}

.img-cover {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.section-text {
    line-height: 1.4;
}

.btn {
    position: relative;
    color: hsl(0, 0%, 100%);
    background-color: #243b55;
    max-width: max-content;
    font-size: 1.4rem;
    letter-spacing: 1px;
    padding-block: 10px;
    padding-inline: 15px 50px;
}


.btn-link {
    color: var(--dark-orange);
    font-size: 1.8rem;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    gap: 5px;
    overflow: hidden;
}
.border-primary {
    border-color:#243b55 !important;
}
.text-primary{
    color: #243b55 !important;
  
}
.bg-primary{
    background-color:#243b55 !important; 
}
.text-body {
    font-size: 15px;
    color: #8D9297 !important;
}
.h6{
    font-size: 1rem;
}
.header-contact {
    display: none;
  
}

.header {
    justify-content: center;
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding-block: 15px;
    z-index: 4;
    background-color: transparent;
    align-items: center;
}

.header.active {
    background: linear-gradient(90deg, #141e30 0%, #243b55 100%);
}

.hover-underline {
    position: relative;
    max-width: max-content;

}
.overlay {
    position: fixed;
    inset: 0;
    z-index: 2;
    visibility: hidden;
  
}

.overlay.active {
    visibility: visible;
    opacity: 1
}

.hover-underline::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 5px;
    border-block: 1px solid #f9fafa;
    transform: scaleX(0.2);
    opacity: 0;
    transition: var(--transition-2);
}

.hover-underline:is(:hover, :focus-visible)::after {
    transform: scaleX(1);
    opacity: 1;
}

.header .container {
 display: flex;
justify-content: space-between !important;
gap: 40px;
}

.logo {
    font-family: var(--ff-oswald);
    color: hsl(0, 0%, 100%);
    font-size: 3rem;
}
input, button {
    background: none;
    border: none;
    font: inherit;
}
.nav-open-btn {
    color: white;
    font-size: 35px;
    background-color: transparent;
}
.nav-close-btn {
    font-size: 25px;
  
    color: #1c3456;}

.navbar1 {
    position: fixed;
    top: 0;
    left: -300px;
    max-width: 300px;
    width: 100%;
    height: 100%;
    background-color: hsl(0, 0%, 100%);
    box-shadow: var(--shadow-1);
    z-index: 3;
    visibility: hidden;
    transition: 0.25s var(--cubic-in);
  
}

.navbar1.active {
    visibility: visible;
    transform: translateX(300px);
    transition: 0.5s var(--cubic-out);
}

.navbar1-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-block-end: 1px solid hsl(0, 0%, 91%);
    padding: 30px 20px;
}

.navbar1-top .logo {
    color: hsl(0, 0%, 24%);
    font-size: 3rem;
}

.nav-close-btn {
    font-size: 25px;
}

.nav-close-btn ion-icon {
    --ionicon-stroke-width: 40px;
}

.navbar1-item:not(:last-child) {
    border-block-end: 1px solid hsl(0, 0%, 91%);
}

.navbar1-link {
    color: hsl(0, 0%, 0%);
    display: flex;
    justify-content: space-between;
    align-items: center !important;
    padding: 15px;
    transition: var(--transition);
}

.navbar1-link:is(:hover, :focus) {
    background-color: var(--cultured-1);
    color: rgb(165, 160, 160);
}

.hero {
    position: relative;
    height: 80vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: grid;
    place-content: center;
    padding-block-start: calc(50px + 85px);
    z-index: 1;
}

.hero-content {
    background-color: hsla(0, 0%, 0%, 0.6);
    color: hsl(0, 0%, 100%);
    text-align: center;
    padding: 30px;
}

.hero-title .span {
    color: white;
    font-size: 3rem;
    font-weight: 400;
}



.btn-outline {
    max-width: max-content;
    margin-inline: auto;
    font-size: 1.4rem;
    font-weight: 500;
    text-transform: capitalize;
    border: 1px solid hsl(0, 0%, 100%);
    padding: 8px 20px;
    transition: var(--transition);
}

.btn-outline:is(:hover, :focus) {
    background-color: rgba(6, 3, 21, .4);
    border-color: var(--dark-orange);
    border: 1px dotted;
    transition: all 0.2s ease;
    border-radius: 2px;
}

.hero-shape {
    position: absolute;
    z-index: -1;
    animation: move 2s ease-in-out infinite alternate;
}

.hero .shape-1 {
    top: 100px;
    left: 30px;
}

.hero .shape-2 {
    bottom: 80px;
    right: 30px;
}

/*** Service ***/
.service-text::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    background: #243b55;
    opacity: 0;
    transition: .5s;
}

.service-item:hover .service-text::before {
    height: 100%;
    opacity: 1;
    font-weight: 300;
    font-size: x-large;
}

.service-text * {
    position: relative;
    transition: .5s;
    z-index: 1;
}

.service-item:hover .service-text * {
    color: #FFFFFF !important;
}

.facts-overlay {
    position: absolute;
    padding: 30px;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: rgba(0, 0, 0, .65);
}

/*** Appointment ***/
.appointment {
    background: linear-gradient(rgba(0, 0, 0, .35), rgba(0, 0, 0, .3)), url("../images/image\ \(2\).png") center center no-repeat;
    background-size: cover;
}
.facts-overlay h1 {
    font-size: 120px;
    color: transparent;
    -webkit-text-stroke: 2px white;
}

.facts-overlay a:hover {
    color: #8D9297!important;
}
.feature-card {
    display: flex;
    align-items: center;
    gap: 10px;
}
.feature-list1 {
    display: grid;
    gap: 15px;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
}
@media (min-width: 991.98px)
{
    .facts {
        position: relative;
        margin-top: -75px;
        z-index: 1;
    }
}
@keyframes move {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(20px);
    }
}

.footer-top {

    display: grid;
    gap: 40px;
}

.footer .logo {
    color: var(--prussian-blue);
    font-weight: 800;
    font-size: 3.2rem;
}

.footer-text {
    margin-block: 10px 30px;
}

.social-list {
    display: flex;
    gap: 10px;
}

.social-link {
    background-color: #243b55;
    color: hsl(0, 0%, 100%);
    font-size: 20px;
    padding: 12px;
    transition: var(--transition);
}

.social-link:is(:hover, :focus) {
    background-color: #244163;
}

.footer-list-title {
    color: white;
    font-size: var(--fs-6);
    max-width: max-content;
    padding-block-end: 10px;
    border-block-end: 3px solid #243b55;
    margin-block-end: 20px;
}

.footer-link {
    padding-block: 6px;
    color: #eeeeee;
}

.footer-bottom {
    padding-block: 40px;
    border-block-start: 1px solid #243b55;
    font-size: 1.4rem;
    color: white;
}

.copyright-link {
    display: inline-block;
}


.back-top-btn {
    position: fixed;
    bottom: 10px;
    right: 20px;
    background-color: #243b55;
    color: hsl(0, 0%, 100%);
    font-size: 20px;
    padding: 10px;
    z-index: 3;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition);
}

.back-top-btn.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(-10px);
}

  .contact-icon {
    width: 100%;
    padding: 20px;
    transition: .2s ease-in-out;
    background-color: #c5c7c7;
    border-radius: 20px;
    color: #000000;
    border: 1px solid #35302D;
    margin-bottom: 10px;
    margin: 20px;
  }
  
  .contact-icon:hover {
    background-color: #fff;
    color: #000;
  }
  
  .contact-icon i {
    font-size:30px;
    color: #243b55;
    transition: .2s ease-in-out;
  }
  
  .contact-icon:hover i {
    color: #000;
  }
  
  .contact-icon a {
    text-decoration: none;
    color: inherit;
    border-bottom: 1px solid transparent;
    transition: .1s;
  }
  
  .contact-icon a:hover {
    border-color: #000;
  }
  
@media (min-width: 540px) {


    .btn {
        font-size: 1.8rem;
        padding-inline: 30px 60px;
    }


    .header-contact {
        color: hsl(0, 0%, 100%);
        display: flex;
        align-items: center;
      line-height: 1.2;

    }
}


@media (min-width: 640px) {


    .h1 {
        --fs-3: 5rem;
    }

    .container {
        max-width: 540px;
        width: 100%;
        margin-inline: auto;
    }

    .header .logo {
        font-size: 3.5rem;
    }


    .hero {
        justify-content:center;
    }

    .hero .shape-1 {
        left: 45px;
    }

    .hero-content {
        background-color: transparent;
        text-align: center;
     
    }

    .hero-title .span {
        --fs-2: 6rem;
    }

    .hero-text {
        max-width: 30ch;
    }

    .btn-outline {
        margin-inline: 0;
    }

}

@media (min-width: 768px) {

    .container {
        max-width: 720px;
    }

    .h1 {
        --fs-3: 6rem;
    }

    .hero-title .span {
        --fs-2: 7rem;
    }

    .hero-text {
        font-size: 1.8rem;
        max-width: 40ch;
        margin-block-end: 40px;
    }

    .btn-outline {
        font-size: 1.8rem;
        padding: 12px 30px;
    }

    .footer-top {
        grid-template-columns: 1fr 1fr;
    }

}

@media(max-width:800px){
    section{
        padding-block: 20px;
    }
    .feature-list1 {
        display: grid;
        gap: 15px;
      
        flex-wrap: wrap;
    }
}
@media (min-width: 992px) {


    :root {


        --fs-4: 4.5rem;

        --section-padding: 120px;

    }


    .container {
        max-width: 960px;
    }

    .h1 {
        --fs-3: 10rem;
    }

    .section-subtitle {
        --fs-6: 3rem;
    }

    .section-text {
        max-width: 70ch;
        margin-inline: auto;
    }

    .grid-list {
        grid-template-columns: repeat(3, 1fr);
    }

    .nav-open-btn,
    .navbar1-top,
    .navbar1-link>ion-icon {
        display: none;
    }

    .navbar1,
    .navbar1.active {
        all: unset;
    }

    .navbar1-list {
        display: flex;
        gap: 5px;
    }

    .navbar1-item:not(:last-child) {
        border-block-end: none;
    }

    .navbar1-link {
        color: hsl(0, 0%, 100%);
    }

    .navbar1-link:is(:hover, :focus) {
        background-color: transparent;
    }

    .header-contact {
        margin-inline-start: 0;
    }

    .hero {
        grid-template-columns: 1fr;
    }

    .hero-content {
        padding: 0;
    }

    .hero-title .span {
        --fs-2: 12rem;
    }

    .footer-top {
        grid-template-columns: repeat(4, 1fr);
        justify-items: self-end;
    }

    .copyright {
        text-align: center;
    }

}

@media (min-width: 1200px) {


    .container {
        max-width: 1180px;
    }

    .h1 {
        --fs-3: 12rem;
    }

    .hero {
        padding-block-start: 150px;
        background-position: center;
    }

    .hero-title .span {
        --fs-2: 14rem;
    }

    .hero-text {
        --fs-7: 2.4rem;
    }
    .footer-top {
        padding-block: 60px;
    }

}


@media (max-width: 767px) {
 
    .header .container {
        justify-content: space-between;
        display: flex;
    }
}

/* animation */

:root {
    --animation-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    --animation-duration: 1s;
  }
  
  @keyframes slideInUp {
    0% {
      opacity: 0;
      transform: translateY(25%);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  @keyframes slideInDown {
    0% {
      opacity: 0;
      transform: translateY(-25%);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  @keyframes slideInleft {
    0% {
      opacity: 0;
      transform: translateX(25%);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  @keyframes slideInRight {
    0% {
      opacity: 0;
      transform: translateX(-25%);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  @keyframes fadeIn {
    0% {
      opacity: 0;
    }
  
    100% {
      opacity: 1;
    }
  }
  
  @keyframes zoomIn {
    0% {
      opacity: 0;
      transform: scale(0.75);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  @keyframes zoomReverseIn {
    0% {
      opacity: 0;
      transform: scale(1.25);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  @keyframes flipInY {
    0% {
      opacity: 0;
      transform: perspective(90vw) rotateY(67.50deg);
    }
  
    100% {
      opacity: 1;
      transform: none;
    }
  }
  
  
  [data-animation] {
    opacity: 0;
    animation-timing-function: var(--animation-timing-function);
    animation-fill-mode: both;
    animation-duration: var(--animation-duration);
    will-change: transform, opacity;
  }
  
  
  .animations-disabled {
  
    &,
    [data-animation] {
      animation: none !important;
      opacity: 1 !important;
    }
  }
  
  .slideInUp {
    animation-name: slideInUp;
  }
  
  .slideInDown {
    animation-name: slideInDown;
  }
  
  .slideInLeft {
    animation-name: slideInleft;
  }
  
  .slideInRight {
    animation-name: slideInRight;
  }
  
  
  .fadeIn {
    animation-name: fadeIn;
  }
  
  
  .zoomIn {
    animation-name: zoomIn;
  }
  
  .zoomReverseIn {
    animation-name: zoomReverseIn;
  }
  
  
